Bug 187716 - "Open in New Tab" causes an "untitled window" to appear
"Open in New Tab" causes an "untitled window" to appear
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: galeon (Show other bugs)
5
All Linux
medium Severity medium
: ---
: ---
Assigned To: Denis Leroy
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-04-03 00:55 EDT by Scott Tsai
Modified: 2007-11-30 17:11 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-08-28 10:58:02 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Scott Tsai 2006-04-03 00:55:57 EDT
Description of problem:
Occasionally,
opening a link in a new tab causes a new "untitled window" with no WM icon to
appear showing the web page content.


Version-Release number of selected component (if applicable):
galeon-2.0.1-1.fc5
mozilla-1.7.12-5

How reproducible:
Hard.

Steps to Reproduce:
1. Browse normally for some time
2. Open link in new tab

  
Actual results:
A new window with no WM title and icon appears.

Expected results:
A new tab in current window.

Additional info:
gdb backtrace for all threads:

0x0000003d294c2b96 in poll () from /lib64/libc.so.6
(gdb) bt
#0  0x0000003d294c2b96 in poll () from /lib64/libc.so.6
#1  0x0000003d2a529f5f in g_main_context_check ()
   from /usr/lib64/libglib-2.0.so.0
#2  0x0000003d2a52a42d in g_main_loop_run () from /usr/lib64/libglib-2.0.so.0
#3  0x000000349222d2c6 in bonobo_main () from /usr/lib64/libbonobo-2.so.0
#4  0x000000000044187d in main ()
(gdb) thread apply all bt

Thread 5 (Thread 1084229968 (LWP 3145)):
#0  0x0000003d294c2b96 in poll () from /lib64/libc.so.6
#1  0x0000003d34323ba4 in PR_Poll () from /usr/lib64/libnspr4.so
#2  0x00002aaaae93dcec in NSGetModule ()
   from /usr/lib64/mozilla-1.7.12/components/libnecko.so
#3  0x000000349349864c in nsThread::Main ()
   from /usr/lib64/mozilla-1.7.12/libxpcom.so
#4  0x0000003d34327866 in PR_JoinThread () from /usr/lib64/libnspr4.so
#5  0x0000003d2ab062ea in start_thread () from /lib64/libpthread.so.0
#6  0x0000003d294cb73d in clone () from /lib64/libc.so.6
#7  0x0000000000000000 in ?? ()

Thread 4 (Thread 1094719824 (LWP 3146)):
#0  0x0000003d2ab09807 in pthread_cond_timedwait@@GLIBC_2.3.2 ()
   from /lib64/libpthread.so.0
#1  0x0000003d34321628 in PRP_NakedNotify () from /usr/lib64/libnspr4.so
#2  0x0000003d34322279 in PR_WaitCondVar () from /usr/lib64/libnspr4.so
#3  0x000000349349ad56 in TimerThread::AddTimer ()
   from /usr/lib64/mozilla-1.7.12/libxpcom.so
#4  0x000000349349864c in nsThread::Main ()
   from /usr/lib64/mozilla-1.7.12/libxpcom.so
#5  0x0000003d34327866 in PR_JoinThread () from /usr/lib64/libnspr4.so
---Type <return> to continue, or q <return> to quit---
#6  0x0000003d2ab062ea in start_thread () from /lib64/libpthread.so.0
#7  0x0000003d294cb73d in clone () from /lib64/libc.so.6
#8  0x0000000000000000 in ?? ()

Thread 3 (Thread 1157658960 (LWP 2547)):
#0  0x0000003d2ab09807 in pthread_cond_timedwait@@GLIBC_2.3.2 ()
   from /lib64/libpthread.so.0
#1  0x0000003d34321628 in PRP_NakedNotify () from /usr/lib64/libnspr4.so
#2  0x0000003d34322279 in PR_WaitCondVar () from /usr/lib64/libnspr4.so
#3  0x00002aaaae91e1bc in NSGetModule ()
   from /usr/lib64/mozilla-1.7.12/components/libnecko.so
#4  0x0000003d34327866 in PR_JoinThread () from /usr/lib64/libnspr4.so
#5  0x0000003d2ab062ea in start_thread () from /lib64/libpthread.so.0
#6  0x0000003d294cb73d in clone () from /lib64/libc.so.6
#7  0x0000000000000000 in ?? ()

Thread 2 (Thread 1126189392 (LWP 2549)):
#0  0x0000003d2ab09807 in pthread_cond_timedwait@@GLIBC_2.3.2 ()
   from /lib64/libpthread.so.0
#1  0x0000003d34321628 in PRP_NakedNotify () from /usr/lib64/libnspr4.so
#2  0x0000003d34322279 in PR_WaitCondVar () from /usr/lib64/libnspr4.so
#3  0x00002aaaae949b3a in NSGetModule ()
   from /usr/lib64/mozilla-1.7.12/components/libnecko.so
---Type <return> to continue, or q <return> to quit---
#4  0x00002aaaae949f5b in NSGetModule ()
   from /usr/lib64/mozilla-1.7.12/components/libnecko.so
#5  0x0000003d34327866 in PR_JoinThread () from /usr/lib64/libnspr4.so
#6  0x0000003d2ab062ea in start_thread () from /lib64/libpthread.so.0
#7  0x0000003d294cb73d in clone () from /lib64/libc.so.6
#8  0x0000000000000000 in ?? ()

Thread 1 (Thread 46912497551888 (LWP 3144)):
#0  0x0000003d294c2b96 in poll () from /lib64/libc.so.6
#1  0x0000003d2a529f5f in g_main_context_check ()
   from /usr/lib64/libglib-2.0.so.0
#2  0x0000003d2a52a42d in g_main_loop_run () from /usr/lib64/libglib-2.0.so.0
#3  0x000000349222d2c6 in bonobo_main () from /usr/lib64/libbonobo-2.so.0
#4  0x000000000044187d in main ()

My uneducated guess is that this is a race condition.
I have never seen this bug in years of using fc3,fc4 on a i386 system.
Comment 1 Denis Leroy 2006-12-16 09:26:14 EST
Never seen this bug occur. I'm tempted to close this as a 'WONT FIX' since
Galeon development is almost frozen. Does this happen with FC-6 (where galeon is
built against firefox-devel rather than mozilla) ?
Comment 2 Scott Tsai 2006-12-16 14:03:54 EST
It does still happen on FC-6, I've only been able to trigger this after
switching to a Pentium-D machine running the x86_64 version of Fedora.

This is easier to trigger on sites that "auto refreshes" (http-equiv="Refresh")
ex: http://www.realclearpolitics.com
One way to deal with this is for you to close this bug and I'll file a separate
one on firefox since it happens there as well.
Comment 3 Matěj Cepl 2007-07-18 13:32:03 EDT
Fedora Core 5 is no longer supported, could you please reproduce this with the
updated version of the currently supported distribution (Fedora Core 6, or
Fedora 7, or Rawhide)? If this issue turns out to still be reproducible, please
let us know in this bug report.  If after a month's time we have not heard back
from you, we will have to close this bug as CANTFIX.

Setting status to NEEDINFO, and awaiting information from the reporter.

Thanks in advance.
Comment 4 Matěj Cepl 2007-08-28 10:58:02 EDT
We haven't got any reply to the last question about reproducability of the bug
with Fedora Core 6, Fedora 7, or Fedora devel. Mass closing this bug, so if you
have new information that would help us fix this bug, please reopen it with the
additional information.

Note You need to log in before you can comment on or make changes to this bug.